> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/coda-webstore/bulk-import-web-store-inventory-skus-from-google-play/1.-google-play-integration/google-play-integration-faqs.md).

# Google Play Integration FAQs

## <mark style="color:purple;">**1. What data does Coda get access to upon integrating Google Play with Coda Portal?**</mark>

After successful integration, Coda will be granted read-only access to retrieve the in-app product listings.\
Specifically, Coda will get permission to hit the following Google Play API endpoint: <https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts>. This API enables Coda to fetch a list of in-app SKUs, along with their corresponding prices across different countries where the title is available

## <mark style="color:purple;">**2. What does the API response look like for the v3/inappproducts endpoint**</mark>

Please refer to the [Google Play Developer API documentation](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts) for full details.\
However, a sample response from the v3/inappproducts API will look like below:

```
[
{
"kind": "androidpublisher#inappproductsListResponse",
"inappproduct": [
{
"packageName": "com.yourapplication.main",
"sku": "20 diamonds",
"status": "active",
"purchaseType": "managedUser",
"defaultPrice": {
"priceMicros": "1500000000",
"currency": "KRW"
},
"prices": {
"AU": {
"priceMicros": "1890000",
"currency": "AUD"
},
"ID": {
"priceMicros": "16000000000",
"currency": "IDR"
},
"SG": {
"priceMicros": "1490000",
"currency": "SGD"
},
"TH": {
"priceMicros": "35000000",
"currency": "THB"
},
"TR": {
"priceMicros": "39990000",
"currency": "TRY"
},
"US": {
"priceMicros": "990000",
"currency": "USD"
}
},
"listings": {
"en-US": {
"title": "20 diamonds",
"description": "20 diamonds"
}
},
"defaultLanguage": "en-US",
"managedProductTaxesAndComplianceSettings": {
"eeaWithdrawalRightType": "WITHDRAWAL_RIGHT_DIGITAL_CONTENT"
}
},
..........
]
```

## <mark style="color:purple;">**3. How is the data received from Google Play stored by Coda?**</mark>

All the data we receive from Google Play is stored in accordance with the standard terms and conditions agreed upon between the Publisher and Coda. The integration only grants Coda permission to access publicly available information, specifically, the prices of in-app SKUs visible to end users. No other financial information is read, accessed, or stored on Coda's end. As a result, we do not foresee any risks associated with Publisher integrating their Google Play account with Coda.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/coda-webstore/bulk-import-web-store-inventory-skus-from-google-play/1.-google-play-integration/google-play-integration-faqs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
